All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.util.validators
Class IntegerInputValidator

    com.sas.servlet.tbeans.util.validators.IntegerInputValidator

All Implemented Interfaces:
  JavaScriptValidationInterface, com.sas.servlet.tbeans.util.validators.JavaScriptValidationObjectCreationInterface, com.sas.servlet.tbeans.util.validators.JavaScriptValidationOnChangeInterface, ValidationInterface, java.io.Serializable

    @SASScope(value="ALL")
    public class IntegerInputValidator

The IntegerInputValidator is a TransformationBean™ that generates the appropriate HTML 4.0 and JavaScript for creating an integerinput validator. An IntegerInputValidator is a validator that validates if a value is an integer.

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary
`protected int` | `base`
`static int` | `DECIMAL_BASE` Base used by the javascript function to parseInt the value to validate as a decimal number.
`static int` | `GENERIC_BASE` Base used by the javascript function to parseInt the value to validate as a generic number.
`protected static int` | `MAX_VALID_BASE`
`protected static int` | `MIN_VALID_BASE`
`static java.lang.String` | `RB_KEY` Key used to lookup resources in the resource bundle.

Fields inherited from class com.sas.util.validators.Validator
`message, messages, msgObject`

Constructor Summary
`IntegerInputValidator()` Constructs a new IntegerInputValidator Transformation Bean.

Method Summary
`int` | `getBase()`
`protected java.lang.String` | `getDefaultValidationMessage(TransformationInterface bean)`
`protected java.lang.String` | `getValidationParameters(TransformationInterface bean)`
`void` | `setBase(int base)` Sets the base the javascript function will use to parseInt the value to validate.

Methods inherited from class com.sas.servlet.tbeans.util.validators.JavaScriptValidator
`createValidationFunctionCall, getClearErrorsFunctionName, getDescription, getErrorHandlerFunctionName, getValidationFunctionName, setClearErrorsFunctionName, setErrorHandlerFunctionName, setValidationFunctionName`

Methods inherited from class com.sas.util.validators.Validator
`createValidationMessages, getExtendedBeanInfo, getValidationMessage, getValidationMessageCode, newValidationMessage, normalizeValue, setValidationMessage, setValidationMessageCode, validateValue`

Methods inherited from interface com.sas.util.validators.ValidationInterface
`getValidationMessage, getValidationMessageCode, normalizeValue, setValidationMessage, validateValue`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

  Key used to lookup resources in the resource bundle.

  See Also:
    Constant Field Values

### GENERIC_BASE

    public static final int GENERIC_BASE

  Base used by the javascript function to parseInt the value to validate as a generic number.

  See Also:
    Constant Field Values

### DECIMAL_BASE

    public static final int DECIMAL_BASE

  Base used by the javascript function to parseInt the value to validate as a decimal number.

  See Also:
    Constant Field Values

### MIN_VALID_BASE

    protected static int MIN_VALID_BASE

### MAX_VALID_BASE

    protected static int MAX_VALID_BASE

### base

    protected int base

Constructor Detail

### IntegerInputValidator

    public IntegerInputValidator()

  Constructs a new IntegerInputValidator Transformation Bean.

Method Detail

### setBase

    public void setBase(int base)

  Sets the base the javascript function will use to parseInt the value to validate.

  Parameters:
    `base` - the base the javascript function will use to parseInt the value to validate, valid values are between 2 and 36 included.
  Throws:
    `java.lang.IllegalArgumentException` - if base is not between 2 and 36.

### getBase

    public int getBase()

### getDefaultValidationMessage

    protected java.lang.String getDefaultValidationMessage(TransformationInterface bean)

  Overrides:
    `getDefaultValidationMessage` in class `JavaScriptValidator`

### getValidationParameters

    protected java.lang.String getValidationParameters(TransformationInterface bean)

  Overrides:
    `getValidationParameters` in class `JavaScriptValidator`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.